<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetLocalVersionNo2 Method (IEdmFile12)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile12 Interface : GetLocalVersionNo2 Method (IEdmFile12)

Visual Basic
C#
C++/CLI

poPathOrFolderID
  ID of a folder, full file path, or folder path of the local copy of this file (see Remarks)

pbLocalOverwrittenVersionObsolete
  True if the file in the user's local cache is obsolete, false if it is valid (see Remarks)

Gets the version number of the local copy of this file.

# Syntax

Visual Basic |
--- | ---

    Function GetLocalVersionNo2( _
       ByRef poPathOrFolderID As System.Object, _
       ByRef pbLocalOverwrittenVersionObsolete As System.Boolean _
    ) As System.Integer

C# |
--- | ---

    System.int GetLocalVersionNo2(
       ref System.object poPathOrFolderID,
       out System.bool pbLocalOverwrittenVersionObsolete
    )

C++/CLI |
--- | ---

    System.int GetLocalVersionNo2(
    &   System.Object^% poPathOrFolderID,
    &   [Out] System.bool pbLocalOverwrittenVersionObsolete
    )

#### Parameters

poPathOrFolderID
  ID of a folder, full file path, or folder path of the local copy of this file (see Remarks)
pbLocalOverwrittenVersionObsolete
  True if the file in the user's local cache is obsolete, false if it is valid (see Remarks)

#### Return Value

Version number; -1 if the local copy does not match any version in the archive

# Remarks

If poPathOrFolderID is a folder path, it must be terminated by a backslash ('\').

pbLocalOverwrittenVersionObsolete gets whether a file in a user's local cache is obsolete because the file was overwritten by another user who checked out the file, modified the file, and checked in the file.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmFile12 Interface
IEdmFile12 Members

# Availability

SOLIDWORKS PDM Professional 2017